/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sila114_db;

/**
 *
 * @author Simon
 */
public class Component
{

    private final String name;
    private final int currentStock;
    private final int price;

    public Component(String name, int currentStock, int price)
    {
        this.name = name;
        this.currentStock = currentStock;
        this.price = price;
    }

    public String getName()
    {
        return name;
    }

    public int getCurrentStock()
    {
        return currentStock;
    }

    public int getSellingPrice()
    {
        return (int) (price * HardwareStockConsts.SELLING_PRICE);
    }

    @Override
    public String toString()
    {
        return "Component{" + "name=" + name + ",\t currentStock=" + currentStock + ",\t price=" + getSellingPrice() + '}';
    }

}
